#!/usr/bin/env python

"""
Script to parse the data generated when solving slitherlink with
minisat (Proof complexity)

"""



if __name__=="__main__":
    f = open("fine.txt",'r')
    line_number = 0
    names = []
    dimensions = []
    time_i2f = []
    n_clauses = []
    time_minisat = []
    for line in f:
        line = line.rstrip()
        if (line_number%5 == 0):
            names.append(line[5:])
        elif (line_number%5 == 1):
            dimensions.append(line)
        elif (line_number%5 == 2):
            time_i2f.append(line[5:])
        elif (line_number%5 == 3):
            n_clauses.append(line[8:])
        elif (line_number%5 == 4):
            time_minisat.append(line[5:])
        line_number += 1
    for i in range(0,len(names)):
        print "|"+names[i]+"|"+dimensions[i]+"|"+time_i2f[i]+"|"+n_clauses[i]+"|"+time_minisat[i]+"|"
    f.close()    
