/**
 * @file clause.cpp
 * @author Léo Perrin
 * @date Time-stamp: <2012-06-16 17:13:29 leo>
 */

#include <stdlib.h>
#include <vector>
#include <string>
#include <sstream>
#include <iostream>

#include "clause.h"

using namespace cnf;


Clause::Clause()
{
	literals.clear();
}

void Clause::addLit(int code)
{
	literals.push_back(code);
}

std::string Clause::toString()
{
	std::stringstream s(std::stringstream::out);
	for (unsigned int i=0; i<literals.size(); i++)
	{
		s << literals[i] << " ";
	}
	std::string res = s.str() + "0";
	s.flush();
	return res;
}

void Clause::clear()
{
        literals.clear();
}
